## ccss_block_t

ccss_block_t

## Synopsis

    typedef             ccss_block_t;
    void                ccss_block_add_property             (ccss_block_t *self,
                                                             char const *property_name,
                                                             ccss_property_t *property);

## Description

## Details

### ccss_block_t

    typedef struct ccss_block_ ccss_block_t;

Represents a block of CSS properties.

### ccss_block_add_property ()

    void                ccss_block_add_property             (ccss_block_t *self,
                                                             char const *property_name,
                                                             ccss_property_t *property);

Adds a property to a CSS block.

`self` : | a ccss_block_t.
`property_name` : | the property name, e.g. `background`-color.
`property` : | pointer to the property instance.